## org.omg.IOP
Class EndpointIdPositionComponent

    java.lang.Object
      |
      +--org.omg.IOP.EndpointIdPositionComponent

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class EndpointIdPositionComponent
extends java.lang.Object
implements IDLEntity

Struct definition : EndpointIdPositionComponent

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`short` `begin` Struct member begin
`short` `end` Struct member end

Constructor Summary
`EndpointIdPositionComponent()` Default constructor
`EndpointIdPositionComponent(short begin, short end)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### begin

    public short begin

  Struct member begin

### end

    public short end

  Struct member end

Constructor Detail

### EndpointIdPositionComponent

    public EndpointIdPositionComponent()

  Default constructor

### EndpointIdPositionComponent

    public EndpointIdPositionComponent(short begin,
                                       short end)

  Constructor with fields initialization
  Parameters:
    `begin` - begin struct member
    `end` - end struct member